Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515910 - [abrt] hexchat: tray_menu_cb(): hexchat killed by SIGSEGV
Summary: [abrt] hexchat: tray_menu_cb(): hexchat killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: hexchat
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Griffis
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e974191bc57aeb6d75de39ccd7c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 15:15 UTC by Peter Schiffer
Modified: 2018-11-30 21:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:07:44 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-21 15:15 UTC, Peter Schiffer
no flags Details
File: cgroup (deleted)
2017-11-21 15:15 UTC, Peter Schiffer
no flags Details
File: core_backtrace (deleted)
2017-11-21 15:15 UTC, Peter Schiffer
no flags Details
File: cpuinfo (deleted)
2017-11-21 15:15 UTC, Peter Schiffer
no flags Details
File: dso_list (deleted)
2017-11-21 15:15 UTC, Peter Schiffer
no flags Details
File: environ (deleted)
2017-11-21 15:16 UTC, Peter Schiffer
no flags Details
File: exploitable (deleted)
2017-11-21 15:16 UTC, Peter Schiffer
no flags Details
File: limits (deleted)
2017-11-21 15:16 UTC, Peter Schiffer
no flags Details
File: maps (deleted)
2017-11-21 15:16 UTC, Peter Schiffer
no flags Details
File: mountinfo (deleted)
2017-11-21 15:16 UTC, Peter Schiffer
no flags Details
File: open_fds (deleted)
2017-11-21 15:16 UTC, Peter Schiffer
no flags Details
File: proc_pid_status (deleted)
2017-11-21 15:16 UTC, Peter Schiffer
no flags Details

Description Peter Schiffer 2017-11-21 15:15:45 UTC
Version-Release number of selected component:
hexchat-2.12.4-8.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        hexchat --existing
crash_function: tray_menu_cb
executable:     /usr/bin/hexchat
journald_cursor: s=93ac6ac772404b8196ac989115d6be74;i=5bc5f;b=5add98fc3679485aab776eec4bdbf8f2;m=21219b00f;t=55e1f5c0eb14d;x=cca9efc14d398a5a
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 tray_menu_cb at plugin-tray.c:536
 #5 emit_popup_menu_signal at gtkstatusicon.c:1329
 #6 gtk_status_icon_button_press at gtkstatusicon.c:1805
 #7 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #12 gtk_widget_event_internal at gtkwidget.c:5017
 #13 gtk_widget_event at gtkwidget.c:4814
 #14 gtk_propagate_event at gtkmain.c:2501
 #15 gtk_main_do_event at gtkmain.c:1696
 #21 gtk_main at gtkmain.c:1268
 #22 fe_main at fe-gtk.c:347

Potential duplicate: bug 1458684

Comment 1 Peter Schiffer 2017-11-21 15:15:52 UTC
Created attachment 1356776 [details]
File: backtrace

Comment 2 Peter Schiffer 2017-11-21 15:15:54 UTC
Created attachment 1356777 [details]
File: cgroup

Comment 3 Peter Schiffer 2017-11-21 15:15:55 UTC
Created attachment 1356778 [details]
File: core_backtrace

Comment 4 Peter Schiffer 2017-11-21 15:15:57 UTC
Created attachment 1356779 [details]
File: cpuinfo

Comment 5 Peter Schiffer 2017-11-21 15:15:58 UTC
Created attachment 1356780 [details]
File: dso_list

Comment 6 Peter Schiffer 2017-11-21 15:16:00 UTC
Created attachment 1356781 [details]
File: environ

Comment 7 Peter Schiffer 2017-11-21 15:16:01 UTC
Created attachment 1356782 [details]
File: exploitable

Comment 8 Peter Schiffer 2017-11-21 15:16:03 UTC
Created attachment 1356783 [details]
File: limits

Comment 9 Peter Schiffer 2017-11-21 15:16:05 UTC
Created attachment 1356784 [details]
File: maps

Comment 10 Peter Schiffer 2017-11-21 15:16:06 UTC
Created attachment 1356785 [details]
File: mountinfo

Comment 11 Peter Schiffer 2017-11-21 15:16:08 UTC
Created attachment 1356786 [details]
File: open_fds

Comment 12 Peter Schiffer 2017-11-21 15:16:09 UTC
Created attachment 1356787 [details]
File: proc_pid_status

Comment 13 Max 2018-04-19 12:39:07 UTC
*** Bug 1569526 has been marked as a duplicate of this bug. ***

Comment 14 Ben Cotton 2018-11-27 16:06:30 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 21:07:44 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.